from flask import render_template, flash, redirect, url_for, request, send_from_directory
from app import app
from app.forms import DownloadForm
from datetime import datetime, timedelta

@app.route('/')
@app.route('/index')
def index():
    return render_template('index.html')

@app.route('/download', methods=['GET', 'POST'])
def download():
    form = DownloadForm()
    if form.validate_on_submit():
        return render_template('download_thanks.html', title='Download', form=form)
    elif request.method == 'GET':
        form.date.data = datetime.now() - timedelta(hours = 1)
        form.length.data = 60
    return render_template('download.html', title='Download', form=form)

@app.route('/download_file/<path:filename>')
def download_file(filename):
    return send_from_directory(app.config['DATA_DIR'], filename, as_attachment=True)
